--- options.c.orig	2006-11-11 14:52:14.000000000 +0900
+++ options.c	2021-10-11 15:38:44.257467000 +0900
@@ -30,6 +30,8 @@
 Set the root background to the default pattern and colors.",},
 	{"delay", DELAY, "seconds", "\
 Set the automatic advance delay for all images.",},
+	{"mdelay", MDELAY, "milliseconds", "\
+Set the automatic advance delay for all images.",},
 	{"display", DISPLAY, NULL, "\
 Indicate the X display you would like to use.",},
 	{"dispgamma", DISPLAYGAMMA, "value", "\
@@ -372,6 +374,20 @@
 			/* NOTREACHED */
 			break;
 		}
+		persist_ops->mdelay = image_ops->mdelay = 0;
+		break;
+	case MDELAY:
+		if (!argv[++a])
+			break;
+		persist_ops->delay =
+		    image_ops->delay = atoi(argv[a]);
+		if (image_ops->delay < 0) {
+			printf("Bad argument to -delay\n");
+			usage(globals.argv0);
+			/* NOTREACHED */
+			break;
+		}
+		persist_ops->mdelay = image_ops->mdelay = 1;
 		break;
 
 	case DISPLAY:
