--- window.c.orig	2006-11-11 14:52:14.000000000 +0900
+++ window.c	2021-10-11 15:40:38.360702000 +0900
@@ -26,6 +26,9 @@
 #ifdef _AIX
 #include <sys/select.h>
 #endif
+#ifdef __FreeBSD__
+#include <sys/time.h>
+#endif
 
 static Window ImageWindow = 0;
 static Window ViewportWin = 0;
@@ -756,7 +759,19 @@
 		/* reset alarm to -delay seconds after every event */
 		AlarmWentOff = 0;
 		signal(SIGALRM, delayAlarmHandler);
+#if 0 /* shige */
 		alarm(delay);
+#else
+		// fprintf(stderr, "DEBUG: mdelay = %d\n", options->mdelay);
+		if (options->mdelay) { 
+		    struct itimerval tvalue;
+		    tvalue.it_interval.tv_sec = 0;
+		    tvalue.it_interval.tv_usec = 0;
+		    tvalue.it_value.tv_sec = delay/1000;
+		    tvalue.it_value.tv_usec = (delay%1000)*1000; 
+		    setitimer(ITIMER_REAL, &tvalue, NULL);
+		} else  alarm(delay);
+#endif
 	}
 	for (;;) {
 		if (delay > 0) {
